## falkon 3.0.1

=== debian/changelog ===
falkon (3.0.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release (LP: #1770318).
  * Make Kubuntu the sole maintainer of the package; we don't plan on
    merging from Debian.
  * Remove transitional packages which aren't needed past 18.04 LTS.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Make Vcs-* current.
  * Update debhelper compat to 11, no changes needed.
  * Update copyright, adding my name to the debian stanza.
  * Remove get-newest.sh; uscan does this.
  * Update the watch file for the new upstream location.
  * Remove reverse-applicable add-source-minified-js.patch.
  * Add build dependency on libkf5i18n-dev for translations.
  * Remove unneeded install file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 14 May 2018 23:16:50 -0500

falkon (3.0.0-0ubuntu3) bionic; urgency=medium

  * Make the Conflicts/Replaces on falkon versioned.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Mar 2018 20:10:24 -0500

falkon (3.0.0-0ubuntu2) bionic; urgency=medium

  * Fix empty binary caused by no falkon.install file being present.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 28 Feb 2018 11:02:02 -0600

falkon (3.0.0-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Initial packaging of renamed project qupzilla->falkon

  [ Simon Quigley ]
  * Add transitional packages for the old qupzilla packages.
  * Import a good amount of packages from Neon.

  [ Rik Mills ]
  * New upstream release (3.0.0)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 28 Feb 2018 10:11:06 -0600

qupzilla (2.1.2~dfsg1-2ubuntu2) artful; urgency=medium

  * Rebuild against Qt 5.9.
  * Revert adding explicit qtpositioning5-dev dependency, qtwebengine5-dev
    now pulls it in. Now this package is in sync with Debian again.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Jul 2017 10:25:23 +0300

qupzilla (2.1.2~dfsg1-2ubuntu1) artful; urgency=medium

  * Build-depend on qtpositioning5-dev, to fix build failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 04 Jul 2017 21:29:02 +0300

=== debian/control ===
Source: falkon
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake (>= 3.1),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.27.0),
               libjs-jquery,
               libjs-jquery-ui,
               libkf5i18n-dev,
               libkf5wallet-dev,
               libqt5x11extras5-dev,
               libssl-dev,
               libx11-dev,
               libxcb-util0-dev,
               pkg-config,
               pkg-kde-tools,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-private-dev,
               qtchooser,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               qtwebengine5-dev
Standards-Version: 4.1.4
Homepage: https://userbase.kde.org/Falkon
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/falkon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/falkon

Package: falkon
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Conflicts: qupzilla (<< 3.0.0~)
Replaces: qupzilla (<< 3.0.0~)
Provides: www-browser
Description: lightweight web browser based on Qt WebEngine
 Falkon is a new and very fast Qt Webengine browser. It aims to be a
 lightweight web browser available through all major platforms.
 .
 Falkon has all standard functions you expect from a web browser. It
 includes bookmarks, history (both also in sidebar) and tabs. Above
 that, you can manage RSS feeds with an included RSS reader, block ads
 with a builtin AdBlock plugin, block Flash content with Click2Flash
 and edit the local CA Certificates database with an SSL Manager.

## falkon 3.1.0

=== CMakeLists.txt ===
# CMake version required. This must be the very first line, because it sets default policies affecting everything else
cmake_minimum_required(VERSION 3.1)

# Project name and version
project(Falkon VERSION 3.1.0)

# Find ECM, with nice error handling in case of failure
include(FeatureSummary)
find_package(ECM 5.27.0 CONFIG)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# Many includes from ECM, to get all the nice cmake functions and settings
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)

# Output dirs (like ECM 5.38 does)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")

if (UNIX AND NOT APPLE)
    set(FALKON_INSTALL_PLUGINDIR "${KDE_INSTALL_PLUGINDIR}/falkon")
else()
    set(FALKON_INSTALL_PLUGINDIR "${KDE_INSTALL_PLUGINDIR}")
endif()
if (IS_ABSOLUTE ${FALKON_INSTALL_PLUGINDIR})
    set(PLUGIN_PATH "${FALKON_INSTALL_PLUGINDIR}")
else()
    set(PLUGIN_PATH "${CMAKE_INSTALL_PREFIX}/${FALKON_INSTALL_PLUGINDIR}")
endif()
if (NOT WIN32)
    set(FALKON_PLUGIN_PATH "${PLUGIN_PATH}" CACHE PATH "Default plugin search path")
endif()

# Defines that are always set
add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_USE_QSTRINGBUILDER -DQT_NO_CAST_TO_ASCII)

# Mandatory: Qt5
set(QT_MIN_VERSION "5.9.0")
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets Network Sql QuickWidgets PrintSupport WebEngine WebEngineWidgets WebChannel)
if (BUILD_TESTING)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
endif()
if (NOT DISABLE_DBUS)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus)
endif()

if (UNIX AND NOT APPLE AND NOT NO_X11)
    add_definitions(-DQZ_WS_X11)
    find_package(XCB REQUIRED COMPONENTS XCB UTIL)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS X11Extras)
endif()
if (WIN32)
    add_definitions(-DW7API)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS WinExtras)

    # taken from https://stackoverflow.com/a/40217291
    macro(get_WIN32_WINNT version)
        if (CMAKE_SYSTEM_VERSION)
            set(ver ${CMAKE_SYSTEM_VERSION})
            string(REGEX MATCH "^([0-9]+).([0-9])" ver ${ver})
            string(REGEX MATCH "^([0-9]+)" verMajor ${ver})
            # Check for Windows 10, b/c we'll need to convert to hex 'A'.
            if ("${verMajor}" MATCHES "10")
                set(verMajor "A")
                string(REGEX REPLACE "^([0-9]+)" ${verMajor} ver ${ver})
            endif ("${verMajor}" MATCHES "10")
            # Remove all remaining '.' characters.
            string(REPLACE "." "" ver ${ver})
            # Prepend each digit with a zero.
            string(REGEX REPLACE "([0-9A-Z])" "0\\1" ver ${ver})
            set(${version} "0x${ver}")
        endif(CMAKE_SYSTEM_VERSION)
    endmacro(get_WIN32_WINNT)

    get_WIN32_WINNT(ver)
    add_definitions(-D_WIN32_WINNT=${ver})
endif()

# Mandatory: OpenSSL
find_package(OpenSSL REQUIRED)

# KF5I18n: Mandatory with downloaded translations (only for ki18n_install)
if (EXISTS "${CMAKE_SOURCE_DIR}/po")
    find_package(KF5I18n REQUIRED)
endif()

# Optional: GnomeKeyring
find_package(PkgConfig)
if (PKG_CONFIG_FOUND)
    option(BUILD_KEYRING "Gnome keyring password plugin" ON)
    if (BUILD_KEYRING)
        pkg_check_modules(GNOME_KEYRING IMPORTED_TARGET gnome-keyring-1 )
    endif()
endif()

# Optional: KWallet, KIO, KCrash, KCoreAddons
set(KF5_MIN_VERSION "5.54.0")
find_package(KF5Wallet ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Wallet PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5KIO PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF5Crash ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Crash PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5CoreAddons PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF5Purpose ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Purpose PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
if (KF5Wallet_FOUND AND KF5KIO_FOUND AND KF5Crash_FOUND AND KF5CoreAddons_FOUND AND KF5Purpose_FOUND)
    set(ENABLE_KDE_FRAMEWORKS_INTEGRATION_PLUGIN TRUE)
endif()

# Optional: PySide2
find_package(PySide2 "2.0.0")
find_package(Shiboken2 "2.0.0")
find_package(PythonLibs "3.0")
set_package_properties(PySide2 PROPERTIES DESCRIPTION "Python plugins (experimental)" TYPE OPTIONAL)
set_package_properties(Shiboken2 PROPERTIES DESCRIPTION "Python plugins (experimental)" TYPE OPTIONAL)
set_package_properties(PythonLibs PROPERTIES DESCRIPTION "Python plugins (experimental)" TYPE OPTIONAL)
if (PySide2_FOUND AND Shiboken2_FOUND AND PythonLibs_FOUND)
    set(ENABLE_PYTHON_PLUGINS TRUE)
endif()

find_package(LibIntl)

# Git revision
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
  find_package(Git QUIET)
  if(GIT_FOUND)
    execute_process(
      COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      OUTPUT_VARIABLE GIT_REVISION
    )
    string(REGEX REPLACE "\n" "" GIT_REVISION "${GIT_REVISION}")
    set(FALKON_GIT_REVISION "${GIT_REVISION}")
  else()
    message(STATUS "Git revision could not be determined")
  endif()
endif()

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

# Include dirs used everywhere
include_directories(
     ${CMAKE_SOURCE_DIR}/src/lib/3rdparty
     ${CMAKE_SOURCE_DIR}/src/lib/adblock
     ${CMAKE_SOURCE_DIR}/src/lib/app
     ${CMAKE_SOURCE_DIR}/src/lib/autofill
     ${CMAKE_SOURCE_DIR}/src/lib/bookmarks
     ${CMAKE_SOURCE_DIR}/src/lib/cookies
     ${CMAKE_SOURCE_DIR}/src/lib/downloads
     ${CMAKE_SOURCE_DIR}/src/lib/history
     ${CMAKE_SOURCE_DIR}/src/lib/navigation
     ${CMAKE_SOURCE_DIR}/src/lib/network
     ${CMAKE_SOURCE_DIR}/src/lib/notifications
     ${CMAKE_SOURCE_DIR}/src/lib/opensearch
     ${CMAKE_SOURCE_DIR}/src/lib/other
     ${CMAKE_SOURCE_DIR}/src/lib/plugins
     ${CMAKE_SOURCE_DIR}/src/lib/popupwindow
     ${CMAKE_SOURCE_DIR}/src/lib/preferences
     ${CMAKE_SOURCE_DIR}/src/lib/session
     ${CMAKE_SOURCE_DIR}/src/lib/sidebar
     ${CMAKE_SOURCE_DIR}/src/lib/tabwidget
     ${CMAKE_SOURCE_DIR}/src/lib/tools
     ${CMAKE_SOURCE_DIR}/src/lib/webengine
     ${CMAKE_SOURCE_DIR}/src/lib/webtab
)

# Finally, go into the subdirs
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests/benchmarks)
endif()

# Tell releaseme that po is already taken care of
# SKIP_PO_INSTALL

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ecm_install_po_files_as_qm(poqm)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

set(falkon_autotests_SRCS )

qt5_add_resources(falkon_autotests_SRCS autotests.qrc)

macro(falkon_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp ${falkon_autotests_SRCS})
        target_link_libraries(${_testname} Qt5::Test FalkonPrivate)
        add_test(NAME falkon-${_testname} COMMAND ${_testname})
        ecm_mark_as_test(${_testname})
        set_tests_properties(falkon-${_testname} PROPERTIES RUN_SERIAL TRUE)
    endforeach(_testname)
endmacro()

falkon_tests(
    qztoolstest
    cookiestest
    adblocktest
    updatertest
    locationbartest
    webviewtest
    webtabtest
    sqldatabasetest
)

set(falkon_autotests_SRCS ${CMAKE_SOURCE_DIR}/tests/modeltest/modeltest.cpp)
include_directories(${CMAKE_SOURCE_DIR}/tests/modeltest)
falkon_tests(
    tabmodeltest
)

set(falkon_autotests_SRCS passwordbackendtest.cpp)
include_directories(${OPENSSL_INCLUDE_DIR})
falkon_tests(
    databasepasswordbackendtest
    databaseencryptedpasswordbackendtest
)

=== src/plugins/AutoScroll/CMakeLists.txt ===
set( AutoScroll_SRCS
	autoscrollplugin.cpp
	autoscroller.cpp
	framescroller.cpp
	autoscrollsettings.cpp
	)

ecm_create_qm_loader( AutoScroll_SRCS falkon_autoscroll_qt )

set( AutoScroll_UIS
	autoscrollsettings.ui
	)
qt5_wrap_ui(UIS ${AutoScroll_UIS})

set( AutoScroll_RSCS
	autoscroll.qrc
	)
qt5_add_resources(RSCS ${AutoScroll_RSCS})

add_library(AutoScroll MODULE ${AutoScroll_SRCS} ${UIS} ${RSCS})
install(TARGETS AutoScroll DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(AutoScroll FalkonPrivate)

=== src/plugins/FlashCookieManager/CMakeLists.txt ===
set( FlashCookieManager_SRCS
	fcm_plugin.cpp
	fcm_dialog.cpp
	fcm_notification.cpp
	)

ecm_create_qm_loader( FlashCookieManager_SRCS falkon_flashcookiemanager_qt )

set( FlashCookieManager_UIS
	fcm_dialog.ui
	fcm_notification.ui
	)
qt5_wrap_ui(UIS ${FlashCookieManager_UIS})

set( FlashCookieManager_RSCS
	flashcookiemanager.qrc
	)
qt5_add_resources(RSCS ${FlashCookieManager_RSCS})

add_library(FlashCookieManager MODULE ${FlashCookieManager_SRCS} ${UIS} ${RSCS})
install(TARGETS FlashCookieManager DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(FlashCookieManager FalkonPrivate)

=== src/plugins/TestPlugin/CMakeLists.txt ===
set( TestPlugin_SRCS
	testplugin.cpp
	testplugin_sidebar.cpp
	)


set( TestPlugin_RSCS
    testplugin.qrc
)
qt5_add_resources(RSCS ${TestPlugin_RSCS})

ecm_create_qm_loader( TestPlugin_SRCS falkon_testplugin_qt )

add_library(TestPlugin MODULE ${TestPlugin_SRCS} ${RSCS})
install(TARGETS TestPlugin DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(TestPlugin FalkonPrivate)

=== debian/changelog ===
falkon (3.1.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 09 Aug 2019 14:31:13 -0700

falkon (3.1.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.


 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 09 Aug 2019 14:16:48 -0700

falkon (3.1.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (3.1.0).
  * Additional build deps for KDE Frameworks Integration plugin
  * Update lintian-overrides.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 24 Apr 2019 14:48:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,18 @@
 Source: falkon
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake (>= 3.1),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.27.0),
                libjs-jquery,
                libjs-jquery-ui,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
                libkf5i18n-dev,
+               libkf5kio-dev,
+               libkf5purpose-dev,
                libkf5wallet-dev,
                libqt5x11extras5-dev,
                libssl-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

%:
	dh $@ --with kde

override_dh_auto_test:
	# Disable dh_auto_test at build time
	
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## falkon 3.1.0%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	dh_auto_configure
	# create jquery.js and jquery-ui.js as symlinks rather than
	# uglified files
	ln -s jquery-1.12.4.js src/lib/data/html/jquery.js
	ln -s jquery-ui-1.12.1.js src/lib/data/html/jquery-ui.js

override_dh_auto_clean:
	# remove eventually previously created symlinks
	rm -f src/lib/data/html/jquery.js src/lib/data/html/jquery-ui.js
	dh_auto_clean
